Subject: bug#19346: 25.0.50; url-http-parse-headers: Symbol's function definition is void: gnutls-available-p

From: Stefan Monnier <[email-masked]>
Date: Fri, 12 Dec 2014 16:56:50 -0500

> Yes, libraries will need to advertise more than one feature.

Maybe.  Quite likely they can DEFUN or not DEFUN depending on the
presence of those features, so the client packages will simply use
fboundp checks, as they do when checking the features of an
Elisp library.
Again, nothing specific about the fact that they're implemented in C.

> And no, doing that ad-hoc is not the best solution.  Nothing prevents
> us from designing a better one, since we don't yet have any history to
> be compatible to.  I don't see why we would need to give up and stop
> short of designing a more flexible solution before the ad-hockery
> dictates its solution.

Supposedly we have that designed already, it's called `subfeatures'.
We never use it, tho.  So probably the design sucks.

        Stefan